org.gjt.sp.jedit.msg

## Class SearchSettingsChanged

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.SearchSettingsChanged

    public class SearchSettingsChanged
    extends EBMessage

Message sent when search and replace settings change.

Since:
  jEdit 2.3pre1

### Constructor Summary

Constructors
Constructor and Description
`SearchSettingsChanged(EBComponent source)` Creates a new search and replace settings changed message.

### Method Summary

### Methods inherited from class org.gjt.sp.jedit.EBMessage

`getSource, paramString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchSettingsChanged

    public SearchSettingsChanged(EBComponent source)

Creates a new search and replace settings changed message.

Parameters:
  `source` - The message source